Skip to main content
POST
/
api
/
v2
/
webhooks
Register a webhook
curl --request POST \
  --url https://api.heymilo.ai/api/v2/webhooks \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "posting_id": "<string>",
  "webhook_url": "<string>",
  "event_type": "<string>"
}
'
import requests

url = "https://api.heymilo.ai/api/v2/webhooks"

payload = {
"posting_id": "<string>",
"webhook_url": "<string>",
"event_type": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({posting_id: '<string>', webhook_url: '<string>', event_type: '<string>'})
};

fetch('https://api.heymilo.ai/api/v2/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "webhook_id": "<string>",
    "posting_id": "<string>",
    "webhook_url": "<string>",
    "event_type": "<string>",
    "is_active": true,
    "created_at": 123,
    "updated_at": 123,
    "object": "webhook"
  },
  "meta": {}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"param": "title"
}
]
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"param": "title"
}
]
}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"param": "title"
}
]
}
}

Authorizations

X-API-KEY
string
header
required

API key for authentication. Pass your key in the X-API-KEY header.

Headers

X-API-KEY
string | null
Authorization
string | null
X-Workspace-Id
string | null

Body

application/json

Request body for creating a webhook.

posting_id
string
required

ID of the posting this webhook is for.

Example:

"13D77095"

webhook_url
string
required

Destination URL for webhook delivery.

Example:

"https://webhook.site/test"

event_type
string
required

Type of event that triggers the webhook: 'interview_completed', 'candidate_ingested', etc.

Example:

"interview_completed"

Response

Successful Response

data
WebhookResponse · object
required

A webhook configuration.

meta
Meta · object | null

Optional metadata. Shape varies by endpoint.